zenilib: zenilib/jni/external/freetype2/src/type42/t42parse.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Functions
t42parse.h File Reference
`#include "t42objs.h"`
`#include <FT_INTERNAL_POSTSCRIPT_AUX_H>`

Go to the source code of this file.

## Classes

struct | T42_Loader_
struct | T42_ParserRec_

## Typedefs

typedef struct T42_Loader_ * | T42_Loader
typedef struct T42_Loader_ | T42_LoaderRec
typedef FT_BEGIN_HEADER struct T42_ParserRec_ * | T42_Parser
typedef FT_BEGIN_HEADER struct T42_ParserRec_ | T42_ParserRec

## Functions

| t42_loader_done (T42_Loader loader)
| t42_loader_init (T42_Loader loader, T42_Face face)
| t42_parse_dict (T42_Face face, T42_Loader loader, FT_Byte *base, FT_Long size)
| t42_parser_done (T42_Parser parser)
| t42_parser_init (T42_Parser parser, FT_Stream stream, FT_Memory memory, PSAux_Service psaux)

## Typedef Documentation

typedef struct T42_Loader_ * T42_Loader

typedef struct T42_Loader_ T42_LoaderRec

typedef FT_BEGIN_HEADER struct T42_ParserRec_ * T42_Parser

typedef FT_BEGIN_HEADER struct T42_ParserRec_ T42_ParserRec

## Function Documentation

t42_loader_done | ( | T42_Loader | loader | ) |

Definition at line 1172 of file t42parse.c.

References T1_Release_Table, and t42_parser_done().

Referenced by T42_Open_Face().

t42_loader_init | ( | T42_Loader | loader,
|  | T42_Face | face
| ) |  |

Definition at line 1155 of file t42parse.c.

References FT_MEM_ZERO, and FT_UNUSED.

Referenced by T42_Open_Face().

t42_parse_dict | ( | T42_Face | face,
|  | T42_Loader | loader,
|  | FT_Byte * | base,
|  | FT_Long | size
| ) |  |

Definition at line 1024 of file t42parse.c.

References ft_memcmp, ft_strlen, ft_strncmp, i, T1_FieldRec_::ident, if(), T1_Skip_PS_Token, T1_Skip_Spaces, T1_TOKEN_TYPE_ARRAY, T1_ToToken, t42_load_keyword(), and T1_TokenRec_::type.

Referenced by T42_Open_Face().

t42_parser_done | ( | T42_Parser | parser | ) |

Definition at line 226 of file t42parse.c.

References FT_FREE.

Referenced by t42_loader_done().

t42_parser_init | ( | T42_Parser | parser,
|  | FT_Stream | stream,
|  | FT_Memory | memory,
|  | PSAux_Service | psaux
| ) |  |

Definition at line 142 of file t42parse.c.

References error, FT_ALLOC, FT_FRAME_ENTER, FT_FRAME_EXIT, FT_FREE, ft_memcmp, FT_STREAM_READ, FT_STREAM_SEEK, FT_STREAM_SKIP, FT_TRACE2, and if().

Referenced by T42_Open_Face().